import type * as Hapi from "@hapi/hapi";
import SettingsService from "./settings.js";
import WhatsappService from "./whatsapp.js";
import SignaldService from "./signald.js";

export const register = async (server: Hapi.Server): Promise<void> => {
  // register your services here
  // don't forget to add them to the AppServices interface in ../types/index.ts
  server.registerService(SettingsService);
  server.registerService(WhatsappService);
  server.registerService(SignaldService);
};
